API referenceQuotes

Get a quote

Read back a quote this account made.

404 (not 403) when not accessible.

GET
/quotes/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

Typecut API key. Generate one in app.typecut.ai → Settings → API keys. Send as Authorization: Bearer tc_live_….

In: header

Path Parameters

id*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/quotes/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "data": {
    "quote_id": "3c071a1d-db86-46a7-9dc8-72ba3fbca992",
    "price_book_version": "string",
    "credits_expected": 0,
    "credits_max": 0,
    "usd_expected": 0,
    "usd_max": 0,
    "bound": "estimate",
    "line_items": [
      {
        "operation": 0,
        "line": "string",
        "description": "string",
        "quantity": 0,
        "credits_expected": 0,
        "credits_max": 0
      }
    ],
    "expires_at": "string",
    "created_at": "string",
    "credit_balance": 0,
    "affordable": true,
    "note": "string"
  }
}
{
  "error": {
    "type": "string",
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "type": "string",
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "type": "string",
    "code": "string",
    "message": "string"
  }
}